Subject: [PATCH] hashmap.h: Use 'unsigned int' for hash-codes everywhere

From: Karsten Blees <[email-masked]>
Date: Wed, 18 Dec 2013 14:41:27 +0100

Signed-off-by: Karsten Blees <[email-masked]>
---

Am 09.12.2013 18:48, schrieb Junio C Hamano:
> Karsten Blees <[email-masked]> writes:
> 
>>> * kb/fast-hashmap (2013-11-18) 14 commits
>>>   (merged to 'next' on 2013-12-06 at f90be3d) 
>>
>> Damn, a day too late :-) I found these two glitches today...is a
>> fixup patch OK or should I do a reroll (or separate patch on top)?
> 
> A separate patch on top would be the most appropriate.

OK, this one's a no-brainer I think. See $gmane/239430 for the latest proposal on the struct packing front.

 Documentation/technical/api-hashmap.txt | 2 +-
 hashmap.h                               | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/Documentation/technical/api-hashmap.txt b/Documentation/technical/api-hashmap.txt
index b2280f1..42ca234 100644
--- a/Documentation/technical/api-hashmap.txt
+++ b/Documentation/technical/api-hashmap.txt
@@ -80,7 +80,7 @@ prevent expensive resizing. If 0, the table is dynamically resized.
 If `free_entries` is true, each hashmap_entry in the map is freed as well
 (using stdlib's free()).
 
-`void hashmap_entry_init(void *entry, int hash)`::
+`void hashmap_entry_init(void *entry, unsigned int hash)`::
 
 	Initializes a hashmap_entry structure.
 +
diff --git a/hashmap.h b/hashmap.h
index f5b3b61..a816ad4 100644
--- a/hashmap.h
+++ b/hashmap.h
@@ -43,7 +43,7 @@ extern void hashmap_free(struct hashmap *map, int free_entries);
 
 /* hashmap_entry functions */
 
-static inline void hashmap_entry_init(void *entry, int hash)
+static inline void hashmap_entry_init(void *entry, unsigned int hash)
 {
 	struct hashmap_entry *e = entry;
 	e->hash = hash;
-- 
1.8.5.1.276.g562b27a